Name: afbinit
Summary: Loads the microcode for Elite3D framebuffers to use X
Version: 1.0
Release: 6%{?dist}
License: GPL/MIT
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.8
ExclusiveArch: sparcv9
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch0: afbinit-1.0-fedorainit.patch
Patch1:	afbinit-1.0-mapshared.patch
Patch2: afbinit-sys26.patch
Requires: chkconfig
Requires(post): coreutils

%description
This port provides a program that loads the microcode firmware onto Sun
Microsystems AFB Graphics Accelerators aka Sun Microsystems Elite 3D
found in many UltraSPARC systems. The microcode is necessary if you want
to run XFree86 with acceleration on these cards.

%prep

%setup -q
%patch0 -p1 -b .fedorainit
%patch1 -p1 -b .mapshared
%patch2 -p1 -b .sys26

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
install -m 755 afbinit $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -m 644 afb.ucode $RPM_BUILD_ROOT/lib/firmware

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 rc.afb $RPM_BUILD_ROOT%{_sysconfdir}/init.d/afbinit

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mandir}/man8/

%post
/sbin/chkconfig --add afbinit

if [ $1 = 1 -a "x$(/bin/uname -r)" != "xsparc64"  ]; then
	/sbin/chkconfig afbinit off
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del afbinit
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/afbinit
/lib/firmware/afb.ucode
%{_sysconfdir}/init.d/afbinit
%{_mandir}

%changelog
* Sat Sep 09 2006 Dennis Gilmore <dennis@ausil.us> - 1.0-6
- rebuild for al3

* Sun Jun  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-5
- fix init script

* Mon Apr 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4
- fix debian bug 346085, use MAP_SHARED instead of MAP_PRIVATE

* Fri Nov 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-3
- Requires(post): coreutils

* Thu Jun 30 2005 Peter Jones <pjones@redhat.com> - 1.0-2
- use sparcv9, not sparc64, so we don't drag in sparc64 deps
- fix init script
- fix file locations
- fix chkconfig
- add manpage from Debian

* Wed Jan 26 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-1sparc
- initial package
